#
# labelentry.py
#
# Copyright 1995 - Koert Zeilstra
#
# No warranty - use at your own risk
#

import Tkinter

class LabelEntry(Tkinter.Frame):
  def __init__ (self, parent, labeltext, labelwidth, entrywidth,
		variable=None):
    Tkinter.Frame.__init__(self, parent)
    self.label = Tkinter.Label(self, {"text": labeltext,
		"anchor": "e", "width": labelwidth})
    self.label.pack ({"side": "left"})
    if variable == None:
      self.entry = Tkinter.Entry(self, {"width": entrywidth})
    else:
      self.entry = Tkinter.Entry(self, {"width": entrywidth, "textvariable": variable})
    self.entry.pack ({"side": "left"})

  def setEntry (self, text):
    self.entry.delete(0, "end")
    self.entry.insert(0, text)

  def getEntry (self):
    return self.entry.get()

  #def pack (self, config):
  #  self.frame.pack(config)




